Description

In my opinion user should decide how he/she wants to debug his/her applications. For example some time ago I used OpenSceneGraph

(Pure 3D GUI app) with Core components inside IDE and I was obliged to debug in console.

BTW, Is this code correct? What dose forceconsole flag mean? (ide/Debug.cpp)

bool console = FindIndex(SplitFlags(mainconfigparam, true), "GUI") < 0 || forceconsole;

if (console && !debug_console_apps_in_console)

    console = false;

In this case flag "debug_console_apps_in_console" has got the biggest priority.

At the end I would like to know if the following name for option is appropriate: "Debug console applications in separate console". The

second probleme here is following variable name: "debug_console_apps_in_console".

History

#1 - 06/09/2014 05:24 PM - Miroslav Fidler

Well, I am sorry for the delay, took me a while to figure out what the goal is here.

Please correct me if I am wrong:

You want the option to force ide to run application without "GUI" flag without opening the console. Am I correct?

Well, putting that into main global environment is not that good idea IMO. 'forceconsole', which you ask about, is "Debug"/"Run options" "Always open

console (POSIX)" Option. If we are about to implement what you need, I would say we should put "Always run without console" there. Is that OK? (No need

to post a patch, I would faster fix that myself...)

#2 - 06/09/2014 05:24 PM - Miroslav Fidler

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#3 - 06/09/2014 07:52 PM - Zbigniew Rebacz

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

You want the option to force ide to run application without "GUI" flag without opening the console. Am I correct?

Yes, I would like to have such feature.

Well, putting that into main global environment is not that good idea IMO. 'forceconsole', which you ask about, is "Debug"/"Run options" "Always
open console (POSIX)" Option. If we are about to implement what you need, I would say we should put "Always run without console" there. Is that

OK? (No need to post a patch, I would faster fix that myself...)

OK, but will this option work only with selected package? I mean that there will not be global option for turning off console.

#4 - 06/16/2014 10:41 AM - Miroslav Fidler

- Status changed from Patch ready to Ready for QA

- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

Like this?

#5 - 06/23/2014 09:33 PM - Zbigniew Rebacz

- File RunLayoutImprovements.png added

- File ide.lay added

- File Debug.cpp added

- Status changed from Ready for QA to Patch ready

- Assignee changed from Zbigniew Rebacz to Miroslav Fidler

OK, It seems that it works great, but I have several comments.

First of all we should change a little bit "RunLayout" to make it more polished. (Comp image - RunLayoutImprovements)

The second thing is lable "Run console (POSIX)". If it is only POSIX functionality why not to hide this options by conditional compilation (ide/Debug.cpp):

#ifndef PLATFORM_POSIX

    dlg.consolemode.Hide();

    dlg.console_lable.Hide();

#endif

Please notice that console_lable is new variable from improved layout. But, I would like to notice that console always works on Windows, so I don't think

that this option is necessary. What do you think about this???

I enclose following files (all from ide package):

RunLayoutImprovements.png - Comp image

ide.lay - RunLayout improvements

Debug.cpp - conditional compilation

#6 - 07/06/2014 05:06 PM - Miroslav Fidler

- Status changed from Patch ready to Approved

Files

Debug.cpp 7.4 KB 05/16/2014 Zbigniew Rebacz

DebugInConsoleOption.png 65.8 KB 05/16/2014 Zbigniew Rebacz

ide.lay 44.3 KB 05/16/2014 Zbigniew Rebacz

ide.h 30.7 KB 05/16/2014 Zbigniew Rebacz

idewin.cpp 20.3 KB 05/16/2014 Zbigniew Rebacz
Config.cpp 5.69 KB 05/16/2014 Zbigniew Rebacz

RunLayoutImprovements.png 33.4 KB 06/23/2014 Zbigniew Rebacz

ide.lay 44.4 KB 06/23/2014 Zbigniew Rebacz

Debug.cpp 7.47 KB 06/23/2014 Zbigniew Rebacz
